> ## Documentation Index
> Fetch the complete documentation index at: https://hyperbrowser.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get list of sessions



## OpenAPI

````yaml /openapi.json GET /api/sessions
openapi: 3.0.1
info:
  title: Hyperbrowser API
  version: 1.0.0
servers:
  - url: https://api.hyperbrowser.ai
    description: Production server
security: []
paths:
  /api/sessions:
    get:
      summary: Get list of sessions
      parameters:
        - name: page
          in: query
          schema:
            type: number
            required:
              - 'false'
            default: 1
        - name: status
          in: query
          schema:
            type: string
            enum:
              - active
              - closed
              - error
            required:
              - 'false'
      responses:
        '200':
          description: List of sessions
          content:
            application/json:
              schema:
                type: object
                properties:
                  sessions:
                    type: array
                    items:
                      $ref: '#/components/schemas/Session'
                  totalCount:
                    type: number
                    example: 100
                  page:
                    type: number
                    example: 1
                  pageSize:
                    type: number
                    example: 10
        '400':
          description: Invalid query parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - ApiKeyAuth: []
      x-codeSamples:
        - lang: javascript
          label: List sessions
          source: |-
            import { Hyperbrowser } from '@hyperbrowser/sdk';

            const client = new Hyperbrowser({ apiKey: 'your-api-key' });

            await client.sessions.list({
              status: 'active'
            });
        - lang: python
          label: List sessions
          source: |-
            from hyperbrowser import Hyperbrowser
            from hyperbrowser.models import SessionListParams

            client = Hyperbrowser(api_key='your-api-key')

            client.sessions.list(SessionListParams(
              status='active'
            ))
components:
  schemas:
    Session:
      type: object
      properties:
        id:
          type: string
          format: uuid
        teamId:
          type: string
          format: uuid
        status:
          type: string
          enum:
            - active
            - closed
            - error
        startTime:
          type: string
          format: timestamp-milliseconds
          nullable: true
        endTime:
          type: string
          format: timestamp-milliseconds
          nullable: true
        createdAt:
          type: string
          format: iso8601
        updatedAt:
          type: string
          format: iso8601
        launchState:
          $ref: '#/components/schemas/SessionLaunchState'
        creditsUsed:
          type: number
          nullable: true
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
    SessionLaunchState:
      type: object
      properties:
        useUltraStealth:
          type: boolean
        useStealth:
          type: boolean
        useProxy:
          type: boolean
        solveCaptchas:
          type: boolean
        solverType:
          type: string
          enum:
            - visual
          description: >-
            Optional CAPTCHA solver mode. Set to visual to use the visual
            reCAPTCHA solver.
        adblock:
          type: boolean
        trackers:
          type: boolean
        annoyances:
          type: boolean
        screen:
          $ref: '#/components/schemas/ScreenConfig'
        enableWebRecording:
          type: boolean
        enableVideoWebRecording:
          type: boolean
        enableLogCapture:
          type: boolean
        acceptCookies:
          type: boolean
        profile:
          $ref: '#/components/schemas/CreateSessionProfile'
        staticIpId:
          type: string
        saveDownloads:
          type: boolean
        enableWindowManager:
          type: boolean
        enableWindowManagerTaskbar:
          type: boolean
        viewOnlyLiveView:
          type: boolean
        disablePasswordManager:
          type: boolean
        enableAlwaysOpenPdfExternally:
          type: boolean
        disablePostQuantumKeyAgreement:
          type: boolean
      nullable: true
    ScreenConfig:
      type: object
      properties:
        width:
          type: number
          default: 1280
        height:
          type: number
          default: 720
    CreateSessionProfile:
      type: object
      properties:
        id:
          type: string
        persistChanges:
          type: boolean
        persistNetworkCache:
          type: boolean
          description: >-
            When persisting profile changes, also persist the browser's network
            cache (HTTP cache).
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````